> ## Documentation Index
> Fetch the complete documentation index at: https://docs.systems-echo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# stop task (limit order)



## OpenAPI

````yaml /openapi.json post /api/v1/extension/task/stop
openapi: 3.0.1
info:
  title: echo/extension/v1/extension.proto
  version: version not set
servers:
  - url: /
security: []
tags:
  - name: ExtensionService
paths:
  /api/v1/extension/task/stop:
    post:
      tags:
        - ExtensionService
      summary: stop task (limit order)
      operationId: ExtensionService_StopTaskExtension
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1StopTaskExtensionRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1StopTaskExtensionResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1StopTaskExtensionRequest:
      type: object
      properties:
        token:
          title: token is the extension token (auth token)
          type: string
        taskId:
          title: task_id is the id of the task to stop
          type: string
    v1StopTaskExtensionResponse:
      type: object
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object

````